Get one time block for a resource

get

/fscmRestApi/resources/11.13.18.05/maintenanceWorkOrderResources/{WoOperationResourceId}/child/LaborBlockAssignments/{LaborBlockAssignmentsUniqID}

Request

Path Parameters
  • This is the hash key of the attributes which make up the composite key for the Labor Block Assignments resource and used to uniquely identify an instance of Labor Block Assignments. The client should not generate the hash key value. Instead, the client should query on the Labor Block Assignments collection resource in order to navigate to a specific instance of Labor Block Assignments to get the hash key.
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : maintenanceWorkOrderResources-LaborBlockAssignments-item-response
Type: object
Show Source
  • Read Only: true
    Value that uniquely identifies a time block for a resource instance. This attribute is read-only and is derived when the application creates the time block.
  • Links
  • Read Only: true
    Contains one of the following values: Yes or No. If yes, the maintenance operation is complete for the person. If no, the maintenance operation isn't complete for the person.
  • Title: Registry ID
    Read Only: true
    Value that uniquely identifies the party of the person. This attribute is read-only and comes from a party definition.
  • Read Only: true
    Contains one of the following values: Yes or No. If yes, the person is currently clocked in to an operation. If no, the person isn't currently clocked in to any operation.
  • Read Only: true
    Contains one of the following values: Yes or No. If yes, the person has already reported time to an operation. If no, the person hasn't previously reported any time to the operation.
  • Read Only: true
    Value that uniquely identifies the person who will be assigned to an operation resource. This attribute is read-only and comes from a person definition.
  • Title: Image
    Read Only: true
    Reference to the image of a person. The value of this attribute comes from a person's definition.
  • Title: Name
    Read Only: true
    Maximum Length: 360
    Name of the person. The value of this attribute comes from a person's definition.
  • Read Only: true
    Date when a time block begins for a resource instance. The planned completion date must not occur before the planned start date.
  • Read Only: true
    Date when a time block ends for a resource instance. The planned start date must not occur after the planned completion date.
  • Read Only: true
    Value that uniquely identifies the shift in which a time block is created for a resource instance. This attribute is read-only.
  • Read Only: true
    Value that uniquely identifies the operation resource. This attribute is read-only.
  • Read Only: true
    Value that uniquely identifies the operation resource instance. This attribute is read-only.
Back to Top